Mail archive
alpine-aports

[alpine-aports] [PATCH 4/7] testing/perl-anyevent: new aport

From: Nick Andrew <nick_at_nick-andrew.net>
Date: Sat, 13 Aug 2016 14:56:10 +0000

http://search.cpan.org/~mlehmann/AnyEvent-7.12
The DBI of event loop programming
---
 testing/perl-anyevent/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-anyevent/APKBUILD
diff --git a/testing/perl-anyevent/APKBUILD b/testing/perl-anyevent/APKBUILD
new file mode 100644
index 0000000..754b0f8
--- /dev/null
+++ b/testing/perl-anyevent/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <nick_at_nick-andrew.net>
+# Maintainer: Nick Andrew <nick_at_nick-andrew.net>
+pkgname=perl-anyevent
+_pkgreal=AnyEvent
+pkgver=7.12
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/AnyEvent/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="3c7054fc2c1d93b985d63c13d37d3369  AnyEvent-7.12.tar.gz"
+sha256sums="7893a7e5d65e6bc34479712235baccb739837c336fb9eb70193141532e95737d  AnyEvent-7.12.tar.gz"
+sha512sums="a508024ee207dd227d81544d0796672587125698034317d6d1e50a22395358fbf62001b17d0e7f3bc7ea4be69b1004f563cdf7097ac67b10a4a43545a9d2273c  AnyEvent-7.12.tar.gz"
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Aug 13 2016 - 14:56:10 GMT